Subject: bug#44612: Read standard input in `guix repl'

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 14 Nov 2020 18:33:10 +0100

Pierre Neidhardt 写道：
> Tobias Geerinckx-Rice <[email-masked]> writes:
>
>> Here's that ungrafted derivation again:
>>
>>   /gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv
>>
>> Can you confirm that we're building the same thing?
>
> We are not, it seems:
>
> --8<---------------cut 
> here---------------start------------->8---
> $ ./pre-inst-env guix build --no-grafts -d nyxt
> /gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv
> --8<---------------cut 
> here---------------end--------------->8---
>
> Commit 403ba4140f52b9ea9483e4c775f102bbb9753e51.

Hm, OK, even with

  $ git checkout 403ba4140f52b9ea9483e4c775f102bbb9753e51
  $ guix environment guix -- ./pre-inst-env guix build \
    --no-grafts nyxt -{M,c}1 -d
→ 
/gnu/store/2s6m5wkjksxi63wv1cz73x0kqj0az2l9-nyxt-2-pre-release-4.drv

But for whatever reason I have your derivation, and

  $ guix build --no-grafts -{M,c}1 \
    /gnu/store/bdi8dq8i3f59zxp7jrabas847dh80m7x-nyxt-2-pre-release-4.drv

fails just as reliably, in the same way, so I don't think that's 
related.

I'll try it on a different x86_64 machine.

Kind regards,

T G-R